QGIS Application - Feature request #12044
Automatically add a new style name on layer when loading an existing style
2015-01-23 06:39 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20247
Description

Hi,

Great feature than the ability to attribute multiple styles to a layer in a project.

When in layer properties > Style, you load an existing style (from file or DB), | think it'll be better if this style was appended to the list of
existing styles (with its registered name) and even set active instead of overwriting the active one.

Now, to avoid overwriting previous style, you need to create a new ("useless") style, set it active and then load the one you are expecting.
This process can be improved with the above proposal.

History

#1 - 2015-01-29 07:30 AM - Giovanni Manghi
- Target version changed from Version 2.8 to Future Release - Nice to have
- Assignee deleted (Martin Dobias)

#2 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
